@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,500;1,400&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


html {
    font-size: 62.5%;
    font-family: 'Roboto', sans-serif;
}

body {
  height: 100%;
  background: white;
  margin: 0;
  padding: 0;
  font-size: 1.6rem;
  font-family: 'Roboto', sans-serif;
}

li {
    list-style: none;
}

a {
    text-decoration: none;
}

.header{
    border-bottom: 0px solid transparent;
}

.header-div {
    position: fixed;
    z-index: 1001;
    
    background: linear-gradient(to right, rgb(20, 2, 68) , rgb(139, 2, 9),rgb(20, 2, 68) ); 
    padding: 5px;
    width: 100%;
    max-width: 100%;
}

.header-div4 {
 
  background: linear-gradient(to right, rgb(20, 2, 68) , rgb(139, 2, 9),rgb(20, 2, 68) );
  padding: 5px;
  width: 100%;
  max-width: 100%;
}

.header-div2 {
  background: linear-gradient(to right, rgb(253, 253, 253) , rgb(2, 9, 110),rgb(251, 250, 252) );
  padding: 3px;
  width: 100%;
  max-width: 100%;
}

.header-div3 {
  background: linear-gradient(to right, rgb(251, 251, 252) , rgb(2, 9, 110),rgb(253, 253, 253) );
  padding: 3px;
  border-radius: 3px;
  width: 100%;
  max-width: 100%;
}

.video-container {
  position: relative;
    overflow: hidden;
    width: 100%;
    height: 100vh;
    margin: 0px;
    padding: 0px;
   
  background: linear-gradient(to right, rgb(20, 2, 68) , rgb(3, 3, 163));
}

.video-container video{
  
  position: absolute;
    background-attachment: fixed !important;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    overflow: hidden;
}

.intro-container {
    text-align: center;
    padding: 50px;
    color: #24262b;   
}



.intro-container h1 {
    font-size: 40px;
    padding: 10px;
    color: #002fff;
}

.intro-container h2 {
    font-size: 30px;
    padding: 10px;
    color: #24262b;
} 

.scroll-reveal {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.5s ease-out, transform 0.5s ease-out;
}

.revealed {
    opacity: 1;
    transform: translateY(0);
}


.navbar {
    position: fixed;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px;
    box-shadow: 5px 5px 5px rgba(0, 0, 139, 0.438);
    width: 100%;
    top: 0;
    left: 0;
    background-image: url("vid/livreal_bg.png");
}

.hamburger {
    display: none;
}

.bar {
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color: #fdfdfd;
}

.nav-menu {
    display: flex;
    
    align-items: center;
}

.nav-item {
    margin-left: 5rem;
    padding-right: 10px;
}

.nav-link{
    font-size: 16px;
    font-weight: 400;
    color: #fbfbfc;
}

.nav-link:hover{
    color: #da1832;
}

.nav-logo img {
    max-width: 300px;
    height: auto;
    padding-left: 20px;
}

@media only screen and (max-width: 768px) {

  .nav-link {
    font-size: 22px !important;
  }
    .nav-menu {
        position: fixed;
        left: -100%;
        top: 7rem;
        flex-direction: column;
        background: linear-gradient(to right, rgb(26, 2, 68) , rgb(3, 3, 163));
        width: 100%;
        height: 100%;
        text-align: center;
        transition: 0.3s;
        box-shadow:
            0 10px 27px rgba(0, 0, 0, 0.05);
    }

    .nav-menu.active {
        left: 0;
    }

    .nav-item {
        margin: 2.5rem 0;
    }

    .hamburger {
        display: block;
        cursor: pointer;
    }

    .hamburger.active .bar:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active .bar:nth-child(1) {
        transform: translateY(8px) rotate(45deg);
    }

    .hamburger.active .bar:nth-child(3) {
        transform: translateY(-8px) rotate(-45deg);
    }

    .intro-container {
      background-image: url("vid/livreal_bg.png");
      background-size: cover;
      background-attachment: fixed;
      color: #fdfdfd;
    }

    .intro-container h1 {
      color: #e4ddff;
    }

    

}

.container {
    visibility: hidden;
    position: relative;
    width: 100%; /* Adjust the width to your desired value */
    overflow: hidden;
    white-space: nowrap;
    padding: 20px;
    background: linear-gradient(to right, #90bbe9 , rgb(251, 252, 253),#90bbe9 )
  }
  
  .container > * {
    height: 100%;
    display: inline-block;
    white-space: nowrap;
  }

  .services {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 30px;

  }

  .services h1{
    font-size: 40px;
    padding: 10px;
    color: #002fff;
  }

  .row {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 20px;
  }

  .col {
    flex-basis: 33.33%;
    max-width: 33.33%;
    padding: 10px;
  }

  .service-item {
    text-align: center;
    padding: 10px;
  }

  .service-item img {
    width: 100%;
    max-width: 150px;
    height: auto;
    margin-bottom: 10px;
    border-radius: 10px;
  }

  .service-item h3 {
    font-size: 20px;
    margin-bottom: 5px;
    color:#002fff ;
  }

  .service-item p {
    font-size: 16px;
    color: rgb(49, 48, 48);
  }

  @media screen and (max-width: 768px) {
    .services {
      display: flex;
      flex-direction: column;
      align-items: center;
    }
  
  
    .row {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      margin-bottom: 20px;
    }
  
    .col {
      flex-basis: 100%;
      max-width: 100%;
      padding: 10px;
    }


    .intro-container {
        position: relative;
        z-index: 0;
      }
    
      .nav-menu.active {
        z-index: 1;
      }

      .quote-button {
        margin-top: 20px; /* Add margin-top to create spacing */
      }

      .intro-container h1 {
        font-size: 22px;
      }

      .intro-container p {
        font-size: 15px;
      }

      .service-item h3 {
        font-size: 18px;
      }

      .service-item p {
        font-size: 15px;
      }

      .services h1 {
        font-size: 22px;
      }

      
  }

  .footer-container{
    max-width: 100%;
    margin:auto;
  }
  .footer-row{
    display: flex;
    flex-wrap: wrap;
  }
  ul{
    list-style: none;
  }
  .footer{
    background: linear-gradient(to right, rgb(20, 2, 68) , rgb(3, 3, 163));
    padding: 30px 0;
    background-image: url("vid/livreal_bg.png");
    background-size: cover;
    background-attachment: fixed;
  }

  .footer-logo {
    
    padding: 15px;
  }
  .footer-col{
     width: 25%;
     padding: 0 15px;
  }
  .footer-col h4{
    font-size: 18px;
    color: #ffffff;
    text-transform: capitalize;
    margin-bottom: 35px;
    font-weight: 500;
    position: relative;
  }
  .footer-col h4::before{
    content: '';
    position: absolute;
    left:0;
    bottom: -10px;
    background-color: #da1832;
    height: 2px;
    box-sizing: border-box;
    width: 50px;
  }
  .footer-col ul li:not(:last-child){
    margin-bottom: 10px;
  }
  .footer-col ul li a{
    font-size: 16px;
    text-transform: capitalize;
    color: #ffffff;
    text-decoration: none;
    font-weight: 300;
    
    display: block;
    transition: all 0.3s ease;
  }
  .footer-col ul li a:hover{
    color: #e68a8a;
    padding-left: 8px;
  }
  .footer-col .social-links a{
    display: inline-block;
    height: 40px;
    width: 40px;
    background-color: rgba(255,255,255,0.2);
    margin:0 10px 10px 0;
    text-align: center;
    line-height: 40px;
    border-radius: 50%;
    color: #ffffff;
    transition: all 0.5s ease;
  }
  .footer-col .social-links a:hover{
    color: #24262b;
    background-color: #ffffff;
  }
  
  /*responsive*/
  @media(max-width: 767px){
    .footer-col{
      width: 50%;
      margin-bottom: 30px;
  }
  }
  @media(max-width: 574px){
    .footer-col{
      width: 100%;
  }
  }
  
  .quote-button {
    display: block;
    margin: 0 auto;
    padding: 10px 20px;
    background-color: #002fff;
    color: #ffffff;
    border: none;
    border-radius: 20px;
    font-size: 20px;
    cursor: pointer;
    margin-bottom: 20px;
  }

  .quote-button:hover {
    background-color: #106ce4;
  }
  
  .scroll-top-container {
    margin-bottom: -60px;
    width: 20%;
    justify-content: center;
    margin-left: 40%;
  }
  
  .scroll-top:hover {
    background-color: #04a5aa;
    color: white;
  }
  
  .scroll-top:focus,
  .scroll-top:active {
    background-color: #04a5aa;
    color: white;
  }
  
  #scroll-top-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 999;
  }
  
  #scroll-top-button img {
    width: 40px;
    height: 40px;
  }
  
  /* Style inputs with type="text", select elements and textareas */
input[type="text"],
input[type="email"],
input[type="tel"],
select,
textarea {
  width: 100%;
  padding: 12px;
  margin-top: 6px;
  margin-bottom: 16px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

input[type="date"],
input[type="number"] {
  width: 100%;
  padding: 12px;
  margin-top: 6px;
  margin-bottom: 16px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

textarea {
  resize: vertical;
}

input[type="submit"] {
  background-color: #002fff;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

input[type="submit"]:hover {
  background-color: #106ce4;
}

.contact-form {
  border-radius: 5px;
  background-color: #f2f2f2;
  padding: 20px;
  margin-bottom: 50px;
  max-width: 70%;
  margin-left: 20px;
  background-color: transparent;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.contact-form h2,
.contact-form p {
  margin-bottom: 10px;
  color: #002fff;
  font-size: 25px;
}

.request-form h1 {
  padding-top: 40px;
  padding-bottom: 40px;
  color: #002fff;
  text-align: center;
}